<head>
<title>Evang. Gemeindejugend - Zeltlageranmeldung</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<meta http-equiv="cache-control" content="no-cache">
<meta http-equiv="refresh" content="30">
<link rel="stylesheet" type="text/css" href="css/jformer.css" ></link>
</head>
<body>
<?php

  require_once($_SERVER['DOCUMENT_ROOT'].'db.php');

  $mydb = new DB_MySQL();
  
  $sql = "SELECT * FROM  AnmeldungStatus";
  $mydb->query($sql);
  $AllCounter = $mydb->count();
  
  $sql = "SELECT * FROM  AnmeldungStatus WHERE step >= 11";
  $mydb->query($sql);
  $CompleteCounter = $mydb->count(); 
  
  $sql = "SELECT * FROM  AnmeldungAdressen";
  $mydb->query($sql);
  $Adressen = $mydb->count(); 
  
  $sql = "SELECT * FROM  AnmeldungPerson";
  $mydb->query($sql);
  $Person = $mydb->count();
  
  $sql = "SELECT * FROM  AnmeldungNotfallkontakt";
  $mydb->query($sql);
  $Notfall = $mydb->count();
  
  $sql = "SELECT * FROM  AnmeldungBankdaten";
  $mydb->query($sql);
  $Bank = $mydb->count();
  
  $sql = "SELECT * FROM  AnmeldungZusatzangaben";
  $mydb->query($sql);
  $Zusatz = $mydb->count();
  
  $sql = "SELECT * FROM  AnmeldungZeltwunsch";
  $mydb->query($sql);
  $Zeltwunsch = $mydb->count();
  
  $sql = "SELECT * FROM  AnmeldungVerwaltung";
  $mydb->query($sql);
  $Verwaltung = $mydb->count();
  
  $sql = "SELECT a.uid, a.nachname, a.vorname, a.strasse, a.wohnort, s.step FROM AnmeldungAdressen a LEFT JOIN AnmeldungStatus s ON a.uid = s.uid WHERE s.step = 11 AND s.bestaetigt = 1 ORDER BY a.nachname, a.vorname";
  $mydb->query($sql);
  $Bestaetigt = $mydb->count();
  
  echo "<h2>Zeltlageranmeldung - Tabellen - Status</h2>";
  echo "<table border=0>";
  echo "<tr><td width=200>Status-Tabelle:</td><td>$AllCounter</td></tr>";
  echo "<tr><td>Adressen-Tabelle:</td><td>$Adressen</td></tr>";
  echo "<tr><td>Person-Tabelle:</td><td>$Person</td></tr>";
  echo "<tr><td>Notfall-Tabelle:</td><td>$Notfall</td></tr>";
  echo "<tr><td>Zusatz-Tabelle:</td><td>$Zusatz</td></tr>";
  echo "<tr><td>Zeltwunsch-Tabelle:</td><td>$Zeltwunsch</td></tr>";
  echo "<tr><td>Bank-Tabelle:</td><td>$Bank</td></tr>";
  echo "<tr><td>Verwaltung-Tabelle:</td><td>$Verwaltung</td></tr>";
  echo "<tr><td>Bestätigte Anmeldungen:</td><td>$Bestaetigt</td></tr>";
  echo "</table>";
  
  
   $sql = "SELECT a.uid, a.nachname, a.vorname, s.step, s.datum FROM AnmeldungAdressen a LEFT JOIN AnmeldungStatus s ON a.uid = s.uid ORDER BY s.datum DESC LIMIT 20";
  $mydb->query($sql);
  
  echo "<h2>Zeltlageranmeldung - letzten 20 Anmeldungen</h2>";
  echo "<table border=0>";
  echo "<tr><td width=150><b>Nachname</b></td><td width=150><b>Vorname</b></td><td width=10><b>Step</b></td><td width=150><b>Datum</b></td></tr>";
  while ($row = $mydb->fetchRow())
  {
      echo "<tr><td>". utf8_encode($row[nachname]) ." </td><td>" . utf8_encode($row[vorname]) ."</td><td>". utf8_encode($row[step])."</td><td>".utf8_encode($row[datum])."</td></tr>";
  }
  echo "</table>";

?>
</body>
</html>